Package org.gitana.platform.client.permission

# Class PermissionCheckResults

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.permission.PermissionCheckResults

All Implemented Interfaces:
  `Serializable`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

public class PermissionCheckResults extends org.gitana.platform.support.GitanaObjectImpl

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

## Constructor Summary

Constructors
Constructor
Description
`PermissionCheckResults(com.fasterxml.jackson.databind.node.ObjectNode object)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`check(String permissionedId, String principalId, String permissionId)`
`Map<String,PermissionCheckResult>`
`map()`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PermissionCheckResults

public PermissionCheckResults(com.fasterxml.jackson.databind.node.ObjectNode object)

## Method Details

### map

public Map<String,PermissionCheckResult> map()

### check

public boolean check(String permissionedId, String principalId, String permissionId)